Package oracle.jdbc.replay

## Interface ReplayStatisticsMXBean

    public interface ReplayStatisticsMXBean

An MXBean that exports various runtime statistics about Application Continuity (AC), such as how many JDBC calls are affected by outages, how many replay attempts are made, how many replay succeed, etc. This interface provides query-only operations on all available AC statistics.

The statistics can be reported for a single data source, or across all driver data sources created at the time.

See Also:
  `ReplayStatistics`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `allStatistics()` Obtains replay statistics accumulated so far on all known driver data source instances.
`java.lang.String` `getStatisticsForDataSource​(java.lang.String dataSourceName)` Obtains replay statistics accumulated so far on the specified driver data source instance.

### Method Detail

#### allStatistics

    java.lang.String allStatistics()

Obtains replay statistics accumulated so far on all known driver data source instances. The statistics include:

- the total number of successfully submitted requests;
- the total number of completed requests;
- the total number of JDBC calls executed;
- the total number of JDBC calls executed that are protected by AC;
- the number of JDBC calls affected by outages;
- the number of JDBC calls that triggered replay;
- the number of JDBC calls affected by outages in the middle of replay;
- the number of replays that succeeded;
- the number of replays that failed;
- the number of times that replay is disabled;
- the number of replay attempts.

Returns:
  A String showing all replay statistics accumulated.
See Also:
  `ReplayStatistics`

#### getStatisticsForDataSource

    java.lang.String getStatisticsForDataSource​(java.lang.String dataSourceName)

Obtains replay statistics accumulated so far on the specified driver data source instance. The data source name should be set via the method `setDataSourceName(String)` on `oracle.jdbc.datasource.OracleCommonDataSource`. In case there are data sources with duplicate names, only one of the data sources will be picked to return its statistics. The returned String will indicate the presence of duplicate data source names. In case no data source with the given name is found, the returned String will indicate such error. The statistics include:

- the total number of successfully submitted requests;
- the total number of completed requests;
- the total number of JDBC calls executed;
- the total number of JDBC calls executed that are protected by AC;
- the number of JDBC calls affected by outages;
- the number of JDBC calls that triggered replay;
- the number of JDBC calls affected by outages in the middle of replay;
- the number of replays that succeeded;
- the number of replays that failed;
- the number of times that replay is disabled;
- the number of replay attempts.

Parameters:
  `dataSourceName` - The name of the specified data source.
Returns:
  A String showing all replay statistics accumulated for that data source.
See Also:
  `ReplayStatistics`